MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029639Open CASCADE[OCCT] OCCT:Configurationpublic2018-03-24 08:572018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029639: CMake - rename options for building samples
DescriptionCurrently OCCT CMake script contains two options indicating whether to build samples (the latter added by 0029571):

BUILD_MODULE_MfcSample
BUILD_MODULE_QtSample

These names are confusing, since in OCCT term "module" is used for main libraries and not for samples, which are considered as separate components. Having these options inside list of modules (when you work in CMake-GUI) is inconvenient.

I propose renaming these options to, respectively:

BUILD_SAMPLES_MFC
BUILD_SAMPLES_QT
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075388)
git (administrator)
2018-04-12 06:24

Branch CR29639 has been created by nds.

SHA-1: 476ea5b5c4abf066ecd91b1b95333e0b3a85dbcf


Detailed log of new commits:

Author: nds
Date: Thu Apr 12 06:24:42 2018 +0300

    0029639: CMake - rename options for building samples
    
    - BUILD_SAMPLES_MFC instead of BUILD_MODULE_MfcSample
    - BUILD_SAMPLES_QT instead of BUILD_MODULE_QtSample
    - sub-folder "mfc" of Samples folder in VStudio for mfc samples
(0075400)
nds (developer)
2018-04-12 11:09

Could you please review,
Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29639-master-NDS/ [^]
(0075406)
nds (developer)
2018-04-12 11:46

MFC samples are rearranged in VStudio projects, to have the following structure:
- Modules
  - ApplicationFramework
  - ...
- Samples
  - mfc
    - Animation
    - Convert
    - ...
  - qt
    - AndroidQt
    - FuncDemo
    - ...
- Tools
  - ...
(0075409)
git (administrator)
2018-04-12 12:03

Branch CR29639 has been updated forcibly by nds.

SHA-1: dce484c3ae0d4eff3070129e304ac69feeb33c43
(0075414)
bugmaster (administrator)
2018-04-12 12:51

Combination -
OCCT branch : CR29639 SHA - 476ea5b5c4abf066ecd91b1b95333e0b3a85dbcf
Products branch : master SHA - 8471189e8649026d76950924f8ec2b4878cba528
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18044.08999999982 / 18092.32999999989 [-0.27%]
Products
Total CPU difference: 7470.760000000006 / 7480.610000000005 [-0.13%]
Windows-64-VC10:
OCCT
Total CPU difference: 17749.82498019842 / 17813.754189998494 [-0.36%]
Products
Total CPU difference: 8115.406021499984 / 8149.242638399972 [-0.42%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076253)
git (administrator)
2018-05-24 18:13

Branch CR29639 has been deleted by kgv.

SHA-1: dce484c3ae0d4eff3070129e304ac69feeb33c43

- Related Changesets
occt: master 510d9690
Timestamp: 2018-04-12 03:24:42
Author: nds
Committer: bugmaster
Details ] Diff ]
0029639: CMake - rename options for building samples

- BUILD_SAMPLES_MFC instead of BUILD_MODULE_MfcSample
- BUILD_SAMPLES_QT instead of BUILD_MODULE_QtSample
- sub-folder "mfc" of Samples folder in VStudio for mfc samples
- qt processing of *.ts resource files is corrected to avoid excessive projects creation under Samples folder in VStudio
mod - adm/cmake/qt_macro.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - samples/mfc/standard/01_Geometry/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/02_Modeling/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/08_HLR/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/09_Animation/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/10_Convert/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-24 08:57 abv New Issue
2018-03-24 08:57 abv Assigned To => bugmaster
2018-04-10 12:38 abv Assigned To bugmaster => nds
2018-04-10 12:38 abv Status new => assigned
2018-04-12 06:24 git Note Added: 0075388
2018-04-12 11:09 nds Note Added: 0075400
2018-04-12 11:09 nds Assigned To nds => abv
2018-04-12 11:09 nds Status assigned => resolved
2018-04-12 11:46 nds Note Added: 0075406
2018-04-12 12:03 git Note Added: 0075409
2018-04-12 12:33 nds Assigned To abv => bugmaster
2018-04-12 12:33 nds Status resolved => reviewed
2018-04-12 12:51 bugmaster Test case number => Not needed
2018-04-12 12:51 bugmaster Note Added: 0075414
2018-04-12 12:51 bugmaster Status reviewed => tested
2018-04-16 14:46 bugmaster Changeset attached => occt master 510d9690
2018-04-16 14:46 bugmaster Status tested => verified
2018-04-16 14:46 bugmaster Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076253
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker